| LogDoctor 4.00 Parse Apache2/Nginx/IIS logs and view dinamically generated statistics

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
FormatOps Class Referencefinal

FormatOps. More...

`#include <formats.h>`

## Public Member Functions
LogsFormat | processApacheFormatString (const std::string &format_string) const
| Processes the given string to extrapolate the format for Apache2.
LogsFormat | processNginxFormatString (const std::string &format_string) const
| Processes the given string to extrapolate the format for Nginx.
LogsFormat | processIisFormatString (const std::string &format_string, const IISLogsModule log_module) const
| Processes the given string to extrapolate the format for the IIS.
QString | getApacheLogSample (const LogsFormat &log_format) const noexcept
| Returns a log line sample based on the given format.
QString | getNginxLogSample (const LogsFormat &log_format) const noexcept
| Returns a log line sample based on the given format.
QString | getIisLogSample (const LogsFormat &log_format) const noexcept
| Returns a log line sample based on the given format.

## Private Attributes
const simple_fields_umap_t | APACHE_ALF
| Access logs fields formats.
const composed_fields_umap_t | APACHE_ALF_V
| Composed access logs fields formats.
const simple_fields_umap_t | NGINX_ALF
| Access logs fields formats.
const simple_fields_umap_t | IIS_ALF
| Access logs fields formats (W3C)

## Detailed Description

FormatOps.

Operations for the logs formats

## Member Function Documentation

## ◆ getApacheLogSample()

QString FormatOps::getApacheLogSample | ( | const LogsFormat & | log_format | ) | const
| noexcept

Returns a log line sample based on the given format.

Parameters

  log_format | The logs format to use to build the sample

Returns
  The sample line

See also
  LogsFormat, Craplog::getLogsFormatSample()

## ◆ getIisLogSample()

QString FormatOps::getIisLogSample | ( | const LogsFormat & | log_format | ) | const
| noexcept

Returns a log line sample based on the given format.

Parameters

  log_format | The logs format to use to build the sample

Returns
  The sample line

See also
  LogsFormat, Craplog::getLogsFormatSample()

## ◆ getNginxLogSample()

QString FormatOps::getNginxLogSample | ( | const LogsFormat & | log_format | ) | const
| noexcept

Returns a log line sample based on the given format.

Parameters

  log_format | The logs format to use to build the sample

Returns
  The sample line

See also
  LogsFormat, Craplog::getLogsFormatSample()

## ◆ processApacheFormatString()

LogsFormat FormatOps::processApacheFormatString | ( | const std::string & | format_string | ) | const

Processes the given string to extrapolate the format for Apache2.

Parameters

  format_string | The format string to process

Returns
  The logs format

Exceptions

  LogFormatException |

See also
  LogsFormat

## ◆ processIisFormatString()

LogsFormat FormatOps::processIisFormatString | ( | const std::string & | format_string,
|  | const IISLogsModule | log_module ) const

Processes the given string to extrapolate the format for the IIS.

Parameters

  format_string | The format string to process
  log_module | The ID of the log module to use

Returns
  The logs format

Exceptions

  LogFormatException |

See also
  LogsFormat

## ◆ processNginxFormatString()

LogsFormat FormatOps::processNginxFormatString | ( | const std::string & | format_string | ) | const

Processes the given string to extrapolate the format for Nginx.

Parameters

  format_string | The format string to process

Returns
  The logs format

Exceptions

  LogFormatException |

See also
  LogsFormat

The documentation for this class was generated from the following files:

- logdoctor/modules/craplog/modules/formats.h
- logdoctor/modules/craplog/modules/formats.cpp